package com.brilliance.isc.common.lgbdet.vo;

import com.brilliance.mda.runtime.mda.IStream;
import com.brilliance.mda.runtime.mda.impl.StreamImpl;
import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.bo.Lga;
import com.brilliance.isc.bo.Lgb;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Getter
@Setter
@JsonIgnoreProperties(ignoreUnknown = true)
public class LgbismVo extends AbstractCommonVo {

    //LSBDETG Index Stream
    private IStream idxstm = new StreamImpl();
    //Total Amount
    private BigDecimal totamt = Decimals.ZERO_SCALE3;
    //Pending Amount
    private BigDecimal nacamt = Decimals.ZERO_SCALE3;

    private Lgb lgb;

    private Lga lga;

    @Override
    public void reset() {
        if (lgb == null) {
            lgb = new Lgb();
        }
        if (lga == null) {
            lga = new Lga();
        }
    }
}
